Bug 950172 - Review Request:libdxfrw - Library to read/write DXF files
Review Request:libdxfrw - Library to read/write DXF files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 950171
  Show dependency treegraph
 
Reported: 2013-04-09 15:20 EDT by Tom "spot" Callaway
Modified: 2014-06-27 10:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 00:32:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2013-04-09 15:20:41 EDT
Spec URL: http://spot.fedorapeople.org/libdxfrw.spec
SRPM URL: http://spot.fedorapeople.org/libdxfrw-0.5.7-1.fc18.src.rpm
Description: 
libdxfrw is a free C++ library to read and write DXF files in both formats,
ASCII and binary form.
Fedora Account System Username: spot
Comment 1 Volker Fröhlich 2013-04-18 17:33:57 EDT
NEWS and TODO are empty, but I guess you put them in on purpose. Please take a look at preserving the timestamps and the question I raised about the license.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/makerpm/950172-libdxfrw/licensecheck.txt

The files don't state a license. Looking at the website, GPLv2+ matches.

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

Builds on ARM and PPC architectures as well

[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.

devel and debuginfo carry buildtime timestamps

[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libdxfrw-0.5.7-1.fc20.x86_64.rpm
          libdxfrw-devel-0.5.7-1.fc20.x86_64.rpm
libdxfrw-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libdxfrw libdxfrw-devel
libdxfrw-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
libdxfrw (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

libdxfrw-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libdxfrw(x86-64)
    libdxfrw.so.0()(64bit)



Provides
--------
libdxfrw:
    libdxfrw
    libdxfrw(x86-64)
    libdxfrw.so.0()(64bit)

libdxfrw-devel:
    libdxfrw-devel
    libdxfrw-devel(x86-64)
    pkgconfig(libdxfrw0)



MD5-sum check
-------------
http://downloads.sourceforge.net/project/libdxfrw/libdxfrw-0.5.7.tar.bz2 :
  CHECKSUM(SHA256) this package     : a9b334cd28013b78443618210744cd7516927b25698e6ca3b4ddc644f2bf751b
  CHECKSUM(SHA256) upstream package : a9b334cd28013b78443618210744cd7516927b25698e6ca3b4ddc644f2bf751b


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 950172
Comment 2 Tom "spot" Callaway 2013-04-24 11:05:35 EDT
Dropped empty NEWS and TODO. Overrode INSTALL to force -p to preserve timestamps.

License is definitely GPLv2+. :)

New Spec URL: http://spot.fedorapeople.org/libdxfrw.spec
New SRPM URL: http://spot.fedorapeople.org/libdxfrw-0.5.7-2.fc19.src.rpm
Comment 3 Volker Fröhlich 2013-04-24 13:02:55 EDT
APPROVED
Comment 4 Tom "spot" Callaway 2013-04-24 13:07:00 EDT
New Package SCM Request
=======================
Package Name: libdxfrw
Short Description: Library to read/write DXF files
Owners: spot
Branches: f17 f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-04-24 13:16:39 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-04-24 16:04:54 EDT
libdxfrw-0.5.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libdxfrw-0.5.7-2.fc18
Comment 7 Fedora Update System 2013-04-24 16:05:04 EDT
libdxfrw-0.5.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libdxfrw-0.5.7-2.fc19
Comment 8 Fedora Update System 2013-04-24 16:05:16 EDT
libdxfrw-0.5.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libdxfrw-0.5.7-2.fc17
Comment 9 Fedora Update System 2013-04-24 23:43:39 EDT
libdxfrw-0.5.7-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-04-30 00:32:50 EDT
libdxfrw-0.5.7-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-04-30 12:08:40 EDT
libdxfrw-0.5.7-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libdxfrw-0.5.7-3.fc18
Comment 12 Fedora Update System 2013-04-30 12:08:52 EDT
libdxfrw-0.5.7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libdxfrw-0.5.7-3.fc17
Comment 13 Fedora Update System 2013-04-30 12:09:02 EDT
libdxfrw-0.5.7-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libdxfrw-0.5.7-3.fc19
Comment 14 Tom "spot" Callaway 2014-06-26 16:59:22 EDT
Package Change Request
======================
Package Name: libdxfrw
New Branches: el6 epel7
Owners: spot
Comment 15 Gwyn Ciesla 2014-06-27 10:50:21 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.